Jump to content


Photo

Release: StepperUpper


  • Please log in to reply
180 replies to this topic

#166 airbreather

airbreather

    Guard

  • Developers
  • PipPip
  • 118 posts

Posted 18 June 2017 - 06:26 AM

Hey airbreather the STEP guide was updated a few days ago and I was wondering when you would be able to update stepper-upper for the new version of the guide. Of course work on it at your own pace, this tool is a real godsend ;)

It's going to happen "soon", I just need to find a good stretch of a few hours where I can focus on it.  It looks like I need to essentially run through a lot of the process manually.


  • 0

#167 Muzinzafrika

Muzinzafrika

    Prisoner

  • Members
  • 10 posts

Posted 18 June 2017 - 01:42 PM

Alright then I am waiting patiently :) good luck ;)


  • 0

#168 airbreather

airbreather

    Guard

  • Developers
  • PipPip
  • 118 posts

Posted 08 August 2017 - 11:30 AM

I've been away from software development in my free time for a while now, so I've not been able to make much progress on updating StepperUpper for STEP 2.10.0.

 

I'm back at it now.


  • 1

#169 airbreather

airbreather

    Guard

  • Developers
  • PipPip
  • 118 posts

Posted 05 September 2017 - 08:02 AM

This was quite a challenge... I've got STEP_Core-2.10.0 and STEP_Core_Finalize-2.10.0 in the repository now, but they won't work properly with anything below StepperUpper 1.2.0.0 (also in the repository, but I haven't released it yet).  One of the neat things it does is it calculates the proper FOV value for you based on the screen resolution you plug in.

 

I'm going to make sure that STEP_Extended-2.10.0 and STEP_Extended_Finalize-2.10.0 work, and then go mod-by-mod looking for any changes in "Detailed Instructions" that I might have missed,  before pushing out a nicely packaged release.

 

2.10.0 has proven to be a lot harder than I had anticipated, especially with the change to use BethINI (it does a lot of magic for you behind-the-scenes, but from my perspective, there's no such thing as "behind-the-scenes")... and I had to do pretty much all of it twice after losing an almost-complete setup for STEP Core to an ill-advised "git clean -xdf" without staging the new XML files.  I think having to do it the second time was a good thing, honestly, because the first time I did it, I was using the changelog, and I recall that one being either incomplete or otherwise insufficient.


  • 0

#170 Helidoc

Helidoc

    Citizen

  • Mod Authors
  • Pip
  • 61 posts

Posted 08 September 2017 - 01:28 AM

Looking forward to the new release!


  • 0

#171 airbreather

airbreather

    Guard

  • Developers
  • PipPip
  • 118 posts

Posted 10 September 2017 - 04:36 PM

Released 2.0.0.0 with updated pack files for STEP 2.10.0.  See updated top post.  I also fixed some awful formatting issues... it looks like I need to stay away from the WYSIWYG editor for that post going forward, because I had mangled it horribly, and I suspect that that was the cause.

 

Since STEP Core 2.10.0 includes FISS now, I've started including a preset for Timing is Everything, so you can just go straight to Load Preset in the MCM for that one.  The preset is kryptopyr's, with the one change that Kelmych suggested over here.

 

I didn't include any other FISS presets.  If there's some included mod that has FISS support and a preset that users should be changing, please let me know by either replying here or opening an issue on GitHub (or both).


  • 1

#172 Muzinzafrika

Muzinzafrika

    Prisoner

  • Members
  • 10 posts

Posted 23 September 2017 - 03:57 PM

Hi it's me again ;) I am unsure about what exactly needs to be in the "downloads" folder from which Stepper Upper will take all the files, because I ran it a few times and its says I am missing Bethini, Mod Organizer, Wrye Bash and so on even though I have all these installed/set up in my Skyrim directory and even their .zip files downloaded from nexus or appropriate site put in the downloads folder along with all my other mods. So should I put only the appropriate executables in the downloads folder or is there something else I need to do for Stepper Upper to recognize these programs?


  • 0

#173 airbreather

airbreather

    Guard

  • Developers
  • PipPip
  • 118 posts

Posted 23 September 2017 - 06:22 PM

Hi it's me again ;) I am unsure about what exactly needs to be in the "downloads" folder from which Stepper Upper will take all the files, because I ran it a few times and its says I am missing Bethini, Mod Organizer, Wrye Bash and so on even though I have all these installed/set up in my Skyrim directory and even their .zip files downloaded from nexus or appropriate site put in the downloads folder along with all my other mods. So should I put only the appropriate executables in the downloads folder or is there something else I need to do for Stepper Upper to recognize these programs?


You need to have those archives in the "download" folder. For BethINI, you need to download 2.5 (soon to be 2.5.1 after I do another update) from the link that StepperUpper sends you to, and then put the entire archive (i.e., the exact file that you download from the Nexus) in the download folder. Same goes for Wrye Bash and Mod Organizer.

StepperUpper will use those to set up a mostly* independent setup that neither depends on nor interferes with any other installations you have.
*only wrinkle is ENBs, since it all goes in the game folder that's shared with everything else.
  • 0

#174 Muzinzafrika

Muzinzafrika

    Prisoner

  • Members
  • 10 posts

Posted 30 September 2017 - 01:52 PM

I seem to have a problem in that the enb series 0.315 archive is not being recognized by stepper upper as it keeps saying its missing while it's sitting in the downloads folder. What am I doing wrong? 


  • 0

#175 airbreather

airbreather

    Guard

  • Developers
  • PipPip
  • 118 posts

Posted 30 September 2017 - 03:09 PM

I seem to have a problem in that the enb series 0.315 archive is not being recognized by stepper upper as it keeps saying its missing while it's sitting in the downloads folder. What am I doing wrong?


Boris seems to update ENBSeries every now and then without actually bumping up the version number, so I always worry that I'll see a post like this... but in this case, you should be able to just download the absolute latest StepperUpper pack files and the latest ENBSeries v0.315, since those are still in sync.
  • 0

#176 TieMonkey

TieMonkey

    Prisoner

  • Members
  • 2 posts

Posted 30 October 2017 - 09:54 PM

Evening, I love the concept of this tool but for some reason I get this error and I'm not sure why?

 

I tried searching some keywords on this forum post but I didn't seem to see anything so was just wondering if I could get some help.

 

If this isn't the correct place to ask I apologize and I'll be on my way.

 

Here's the error I got 

 

http://prntscr.com/h46htl


  • 0

#177 airbreather

airbreather

    Guard

  • Developers
  • PipPip
  • 118 posts

Posted 31 October 2017 - 05:11 AM

If this isn't the correct place to ask I apologize and I'll be on my way.


This is fine.

Here's the error I got 
http://prntscr.com/h46htl


Have you tried re-downloading the pack .xml files that you're using, from the links in the first post?
  • 0

#178 TieMonkey

TieMonkey

    Prisoner

  • Members
  • 2 posts

Posted 31 October 2017 - 08:00 AM

Yes I did I've tried downloading them from here with right clicking and save as then I tried from the github itself and I also tried copy and paste into my own .xml files. Could it be due to me not saving my steam games in the default location. and or renaming the skyrim folder(for making copies)


  • 0

#179 airbreather

airbreather

    Guard

  • Developers
  • PipPip
  • 118 posts

Posted 07 November 2017 - 08:42 AM

FYI there's a lot of stuff to update right now, and I'm also including an update to Wrye Bash 307 beta1 since I noticed it does a LOT more when building the bashed patch.

So there probably won't be a (routine) version update for another few days yet, even though there are some important mods that have removed the old versions from proper official download channels. Sorry.
  • 0

#180 dreamdenizen

dreamdenizen

    Prisoner

  • Members
  • 2 posts

Posted 11 November 2017 - 11:05 PM

Hi there @airbreather. Thanks for your awesome work on this! I had all but given up on STEP until I discovered your tool. Just last night I downloaded all of the mods for 2.10.0 with the exception of ENB v0315, which wasn't available, so I grabbed v0319. Likewise with Lucidity Sound FX v2p due to v2o not being available. To work around it, I updated the checksums and MD5s in your Core xml. Everything in StepperUpper went well, with the exception of DynDOLOD getting stuck on Exit - View Log - Restart on it's first run. I clicked restart, and then mirrored the configuration I saw in the video, by going into advanced and matching everything, and it continued on normally, citing success at the end. When I tried to load with STEP Extended, I met an infinite loading screen. After about 30 minutes I shut it down and fired it right back up and it loaded the opening credits, but as soon as the carriage scene completely faded in and it started loading LoD, it crashed to desktop. After that I could only get the infinite loading screen. Since then I've purged my installation of Skyrim Legendary Edition and redone the installation 3 times (including the part where it gets stuck) with no luck. STEP Core, by contrast, is working amazingly, quick load times, fantastic frame rate, no noticeable issues.

 

tldr; I was wondering if you have any idea why STEP Extended is either loading infinitely, or crashing to desktop when generating LoD. I'm wondering if it has to do with DynDOLOD getting hung up on that first restart.

 

Thanks so much for this awesome tool!


  • 0


1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users